Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.iserve.ipc.sl
Class SLRpc

    java.lang.Object
      ix.iserve.ipc.sl.SLRpc

    public class SLRpc

extends java.lang.Object

Second Life XML-RPC utilities for sending XML-RPC requests and decoding the replies.

Field Summary
`protected java.lang.String` | `defaultServerURL`
`protected HttpStringClient` | `http`

Constructor Summary
`SLRpc()`

Method Summary
`SLRpcMessage` | `decodeResponse(java.lang.String r)` Decodes an XML response from SL into an SLRpcMessage.
`static void` | `main(java.lang.String[] argv)`
`java.lang.String` | `makeCallString(java.lang.String channelId, int i, java.lang.String s)` Constructs the XML string that would be sent to SL.
`protected HttpStringClient` | `makeHttpStringClient()` Creates a suitable client for use by this instance of SLRpc.
`SLRpcMessage` | `sendRequest(java.lang.String channelId, int i, java.lang.String s)` Sends an XML-PRC request to the default server URL and returns whatever reply is received.
`SLRpcMessage` | `sendRequest(java.net.URL serverURL, java.lang.String channelId, int i, java.lang.String s)` Sends an XML-PRC request to the specified server URL and returns whatever reply is received.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### defaultServerURL

    protected java.lang.String defaultServerURL

### http

    protected HttpStringClient http

Constructor Detail

### SLRpc

    public SLRpc()

Method Detail

### makeHttpStringClient

    protected HttpStringClient makeHttpStringClient()

  Creates a suitable client for use by this instance of SLRpc.

### sendRequest

    public SLRpcMessage sendRequest(java.lang.String channelId,
                                    int i,
                                    java.lang.String s)

  Sends an XML-PRC request to the default server URL and returns whatever reply is received.

### sendRequest

    public SLRpcMessage sendRequest(java.net.URL serverURL,
                                    java.lang.String channelId,
                                    int i,
                                    java.lang.String s)

  Sends an XML-PRC request to the specified server URL and returns whatever reply is received.

### makeCallString

    public java.lang.String makeCallString(java.lang.String channelId,
                                           int i,
                                           java.lang.String s)

  Constructs the XML string that would be sent to SL.

### decodeResponse

    public SLRpcMessage decodeResponse(java.lang.String r)

  Decodes an XML response from SL into an SLRpcMessage.

### main

    public static void main(java.lang.String[] argv)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD